Build #3 for gross-0.1.0.0

[all reports]

Package gross-0.1.0.0
Install DependencyFailed ncurses-0.2.16
Docs NotTried
Tests NotTried
Time submitted 2017-01-16 05:56:15.765685 UTC
Compiler ghc-8.0.1.20161018
OS linux
Arch x86_64
Dependencies base-4.9.0.0, mtl-2.2.1, ncurses-0.2.16, base-4.9.0.0, lens-4.15.1, mtl-2.2.1, ncurses-0.2.16
Flags none

Build log

[view raw]

Resolving dependencies...
Configuring base-orphans-0.5.4...
Configuring mtl-2.2.1...
Building mtl-2.2.1...
Building base-orphans-0.5.4...
Installed base-orphans-0.5.4
Configuring parallel-3.2.1.0...
Building parallel-3.2.1.0...
Configuring prelude-extras-0.4.0.3...
Installed parallel-3.2.1.0
Configuring reflection-2.1.2...
Installed mtl-2.2.1
Building prelude-extras-0.4.0.3...
Building reflection-2.1.2...
Configuring semigroups-0.18.2...
Installed prelude-extras-0.4.0.3
Building semigroups-0.18.2...
Configuring primitive-0.6.2.0...
Installed reflection-2.1.2
Configuring stm-2.4.4.1...
Installed semigroups-0.18.2
Building primitive-0.6.2.0...
Building stm-2.4.4.1...
Configuring transformers-compat-0.5.1.4...
Installed stm-2.4.4.1
Building transformers-compat-0.5.1.4...
Configuring text-1.2.2.1...
Installed transformers-compat-0.5.1.4
Building text-1.2.2.1...
Installed primitive-0.6.2.0
Configuring StateVar-1.1.0.4...
Building StateVar-1.1.0.4...
Installed StateVar-1.1.0.4
Configuring tagged-0.8.5...
Building tagged-0.8.5...
Configuring exceptions-0.8.3...
Installed tagged-0.8.5
Building exceptions-0.8.3...
Configuring vector-0.12.0.0...
Installed exceptions-0.8.3
Building vector-0.12.0.0...
Configuring distributive-0.5.1...
Installed text-1.2.2.1
Building distributive-0.5.1...
Installed distributive-0.5.1
Configuring ncurses-0.2.16...
Configuring hashable-1.2.5.0...
Failed to install ncurses-0.2.16
Build log ( /home/builder/.cabal/logs/ncurses-0.2.16.log ):
cabal: Entering directory '/tmp/cabal-tmp-3805/ncurses-0.2.16'
Configuring ncurses-0.2.16...
cabal: Missing dependencies on foreign libraries:
* Missing C libraries: panelw, ncursesw
This problem can usually be solved by installing the system packages that
provide these libraries (you may need the "-dev" versions). If the libraries
are already installed but in a non-standard location then you can use the
flags --extra-include-dirs= and --extra-lib-dirs= to specify where they are.
cabal: Leaving directory '/tmp/cabal-tmp-3805/ncurses-0.2.16'
Building hashable-1.2.5.0...
Installed hashable-1.2.5.0
Configuring void-0.7.1...
Building void-0.7.1...
Configuring unordered-containers-0.2.7.2...
Installed void-0.7.1
Building unordered-containers-0.2.7.2...
Configuring contravariant-1.4...
Installed unordered-containers-0.2.7.2
Building contravariant-1.4...
Installed vector-0.12.0.0
Installed contravariant-1.4
Configuring comonad-5...
Building comonad-5...
Installed comonad-5
Configuring bifunctors-5.4.1...
Building bifunctors-5.4.1...
Installed bifunctors-5.4.1
Configuring profunctors-5.2...
Configuring semigroupoids-5.1...
Building profunctors-5.2...
Building semigroupoids-5.1...
Installed profunctors-5.2
Installed semigroupoids-5.1
Configuring free-4.12.4...
Building free-4.12.4...
Installed free-4.12.4
Configuring adjunctions-4.3...
Building adjunctions-4.3...
Installed adjunctions-4.3
Configuring kan-extensions-5.0.1...
Building kan-extensions-5.0.1...
Installed kan-extensions-5.0.1
Configuring lens-4.15.1...
Building lens-4.15.1...
Installed lens-4.15.1
cabal: Error: some packages failed to install:
gross-0.1.0.0 depends on ncurses-0.2.16 which failed to install.
ncurses-0.2.16 failed during the configure step. The exception was:
ExitFailure 1